Package org.apache.tomcat.dbcp.dbcp2

# Class Constants

java.lang.Object
org.apache.tomcat.dbcp.dbcp2.Constants

public class Constants extends Object
Constants.

Since:
  2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`JMX_CONNECTION_BASE_EXT`
`static final String`
`JMX_CONNECTION_POOL_BASE_EXT`
`static final String`
`JMX_CONNECTION_POOL_PREFIX`
`static final String`
`JMX_STATEMENT_POOL_BASE_EXT`
`static final String`
`JMX_STATEMENT_POOL_PREFIX`
`static final String`
`KEY_PASSWORD`
JDBC properties and URL key for passwords.
`static final String`
`KEY_USER`
JDBC properties and URL key for users.

## Constructor Summary

Constructors
Constructor
Description
`Constants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### JMX_CONNECTION_POOL_BASE_EXT

public static final String JMX_CONNECTION_POOL_BASE_EXT

See Also:
  - Constant Field Values

### JMX_CONNECTION_POOL_PREFIX

public static final String JMX_CONNECTION_POOL_PREFIX

See Also:
  - Constant Field Values

### JMX_CONNECTION_BASE_EXT

public static final String JMX_CONNECTION_BASE_EXT

See Also:
  - Constant Field Values

### JMX_STATEMENT_POOL_BASE_EXT

public static final String JMX_STATEMENT_POOL_BASE_EXT

See Also:
  - Constant Field Values

### JMX_STATEMENT_POOL_PREFIX

public static final String JMX_STATEMENT_POOL_PREFIX

See Also:
  - Constant Field Values

### KEY_PASSWORD

public static final String KEY_PASSWORD
JDBC properties and URL key for passwords.

Since:
  2.9.0
See Also:
  - Constant Field Values

### KEY_USER

public static final String KEY_USER
JDBC properties and URL key for users.

Since:
  2.9.0
See Also:
  - Constant Field Values

## Constructor Details

### Constants

public Constants()